JmolGenericPopup
Date: 2019-10-22

org.jmol.popup

## Class JmolGenericPopup

- java.lang.Object
- - org.jmol.popup.GenericPopup
  - - org.jmol.popup.JmolGenericPopup

- All Implemented Interfaces:
    GenericMenuInterface
  Direct Known Subclasses:
    JmolPopup, ModelKitPopup

      public abstract class JmolGenericPopup
      extends GenericPopup

  An abstract popup class that is instantiated for a given platform and context as one of:

       -- abstract JmolGenericPopup
         -- abstract JmolPopup
            -- AwtJmolPopup
            -- JSJmolPopup
         -- abstract ModelKitPopup
            -- AwtModelKitPopup
            -- JSModelKitPopup

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SC` | `frankPopup`
    `protected java.util.Properties` | `menuText`
    `protected int` | `nFrankList`
    `protected Viewer` | `vwr`

    - ### Fields inherited from class org.jmol.popup.GenericPopup

      `allowSignedFeatures, buttonGroup, currentMenuItemId, helper, htCheckbox, htMenus, isApplet, isJS, isSigned, isTainted, isWebGL, menuName, popupMenu, strMenuStructure, thisPopup, thisx, thisy, updatingForShow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmolGenericPopup()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `appFixLabel(java.lang.String label)`
    `protected boolean` | `appGetBooleanProperty(java.lang.String name)`
    `protected void` | `appRestorePopupMenu()`
    `protected void` | `appRunScript(java.lang.String script)`
    `protected boolean` | `appRunSpecialCheckBox(SC item, java.lang.String basename, java.lang.String script, boolean TF)`
    `protected abstract PopupResource` | `getBundle(java.lang.String menu)`
    `protected void` | `initialize(Viewer vwr, PopupResource bundle, java.lang.String title)`
    `void` | `jpiDispose()`
    `SC` | `jpiGetMenuAsObject()`
    `void` | `jpiInitialize(PlatformViewer vwr, java.lang.String menu)`
    `void` | `jpiShow(int x, int y)`
    `protected boolean` | `showFrankMenu()`

    - ### Methods inherited from class org.jmol.popup.GenericPopup

      `addMenuItem, addMenuItems, appCheckItem, appCheckSpecialMenu, appGetMenuAsString, appUpdateForShow, appUpdateSpecialCheckBoxValue, convertToMegabytes, doMenuCheckBoxCallback, doMenuClickCallback, getEntryIcon, getImageIcon, getScriptForCallback, getUnknownCheckBoxScriptToRun, initSwing, jpiGetMenuAsString, menuAddSeparator, menuAddSubMenu, menuCheckBoxCallback, menuClickCallback, menuCreateCheckboxItem, menuCreateItem, menuEnable, menuFocusCallback, menuGetId, menuGetListPosition, menuNewSubMenu, menuRemoveAll, menuSetAutoscrolls, menuSetLabel, menuShowPopup, setText, show, updateButton, updateSignedAppletItems`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jmol.api.GenericMenuInterface

      `jpiUpdateComputedMenus`

- - ### Field Detail

    - #### frankPopup

          protected SC frankPopup

    - #### nFrankList

          protected int nFrankList

    - #### vwr

          protected Viewer vwr

    - #### menuText

          protected java.util.Properties menuText

  - ### Constructor Detail

    - #### JmolGenericPopup

          public JmolGenericPopup()

  - ### Method Detail

    - #### jpiInitialize

          public void jpiInitialize(PlatformViewer vwr,
                                    java.lang.String menu)

    - #### getBundle

          protected abstract PopupResource getBundle(java.lang.String menu)

    - #### initialize

          protected void initialize(Viewer vwr,
                                    PopupResource bundle,
                                    java.lang.String title)

    - #### jpiShow

          public void jpiShow(int x,
                              int y)

    - #### showFrankMenu

          protected boolean showFrankMenu()

    - #### jpiDispose

          public void jpiDispose()

    - #### jpiGetMenuAsObject

          public SC jpiGetMenuAsObject()

    - #### appFixLabel

          protected java.lang.String appFixLabel(java.lang.String label)

      Specified by:
        `appFixLabel` in class `GenericPopup`

    - #### appGetBooleanProperty

          protected boolean appGetBooleanProperty(java.lang.String name)

      Specified by:
        `appGetBooleanProperty` in class `GenericPopup`

    - #### appRunSpecialCheckBox

          protected boolean appRunSpecialCheckBox(SC item,
                                                  java.lang.String basename,
                                                  java.lang.String script,
                                                  boolean TF)

      Specified by:
        `appRunSpecialCheckBox` in class `GenericPopup`

    - #### appRestorePopupMenu

          protected void appRestorePopupMenu()

      Specified by:
        `appRestorePopupMenu` in class `GenericPopup`

    - #### appRunScript

          protected void appRunScript(java.lang.String script)

      Specified by:
        `appRunScript` in class `GenericPopup`